Package: org.codehaus.groovy.ant

## [Java] Class GroovycTask

- org.codehaus.groovy.ant.GroovycTask

- Compiles Groovy source files.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `force` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompileTaskSupport` | `classpath, config, destdir, failOnError, log, src`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `compile()`
    `void` | `setForce(boolean flag)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompileTaskSupport` | `compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`
    `class MatchingTask` | `setCaseSensitive, setIncludes, setExcludes, setProject, addSelector, XsetIgnore, XsetItems, setFollowSymlinks, createInclude, addAnd, addOr, addNot, addNone, addMajority, setExcludesfile, setDefaultexcludes, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addContainsRegexp, createPatternSet, createIncludesFile, createExclude, createExcludesFile, setIncludesfile, addSize, addDifferent, addFilename, addType, addCustom, addContains, addPresent, addDepth, addDepend, addModified, addDate, add, getTaskName, setTaskName, getOwningTarget, getTaskType, setTaskType, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, execute, log, log, log, log, init, setLocation, getDescription, setDescription, getProject, clone, getLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected boolean force

  - ### Method Detail

    - #### protected void compile()

    - #### public void setForce(boolean flag)